Centos 5.10

Our static 32bit builds are not compatible with older centos but 64bit will work. If you have 32bit version of Centos 5.X follow those instructions which will compile the sniffer:

Install development tools

yum groupinstall "Development Tools"

Install latest epel-release from http://dl.fedoraproject.org/pub/epel/5/i386/

wget http://dl.fedoraproject.org/pub/epel/5/i386/epel-release-5-4.noarch.rpm
rpm -Uvh epel-release*rpm

Install snappy and json from epel archives

yum install snappy json-c-devel

Install rrdtool and XML2

yum install rrdtool rrdtool-devel libxslt-devel libxml2-devel

Install other required packages

yum install wget openssl openssl-devel curl-devel zlib-devel cpio expat-devel gettext-devel unixODBC-devel mysql-devel libogg-devel libvorbis-devel vorbis-tools

Install libpcap (tcpdump) from sources (packages in archive are too old)

wget http://www.tcpdump.org/release/libpcap-1.5.3.tar.gz
tar -xzf libpcap-1.5.3.tar.gz
cd libpcap-1.5.3
./configure
make
make install

Setting for dynamic libraries

echo "/usr/local/lib" >> /etc/ld.so.conf
ldconfig

Compile latest voipmonitor sniffer

wget http://www.voipmonitor.org/current-stable-sniffer-src.tar.gz
tar -xzf voipmonitor-*-src.tar.gz
cd voipmonitor-*-src
./configure
make

Don't forget to stop voipmonitor before overwriting binaries (/etc/init.d/voipmonitor stop)

make install